package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Vehicle_add_on;
import com.realnet.taxi_rental.Services.Vehicle_add_onService ;












@RequestMapping(value = "/token/Vehicle_add_on")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Vehicle_add_onController {
	@Autowired
	private Vehicle_add_onService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Vehicle_add_on")
		  public Vehicle_add_on Savedata(@RequestBody Vehicle_add_on data) {
		Vehicle_add_on save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Vehicle_add_on/{id}")
	public  Vehicle_add_on update(@RequestBody Vehicle_add_on data,@PathVariable Integer id ) {
		Vehicle_add_on update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Vehicle_add_on/getall/page")
	public Page<Vehicle_add_on> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Vehicle_add_on> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Vehicle_add_on")
	public List<Vehicle_add_on> getdetails() {
		 List<Vehicle_add_on> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Vehicle_add_on")
	public List<Vehicle_add_on> getallwioutsec() {
		 List<Vehicle_add_on> get = Service.getdetails();		
		return get;
}
@GetMapping("/Vehicle_add_on/{id}")
	public  Vehicle_add_on  getdetailsbyId(@PathVariable Integer id ) {
		Vehicle_add_on  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Vehicle_add_on/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}